Bug 602533 - History management under Organize Bookmarks switches time range
History management under Organize Bookmarks switches time range
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 00:33 EDT by Andrew Kroeger
Modified: 2018-04-11 06:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:55:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Kroeger 2010-06-10 00:33:40 EDT
Description of problem:
When managing history entries under Bookmarks->Organize Bookmarks, if a time period other than "Today" is selected and an operation ("Delete This Page" or "Forget About This Site") is performed, the operation is performed and sometimes the list reverts back to having the "Today" day range selected.

Version-Release number of selected component (if applicable):
firefox-3.6.3-4.fc13.x86_64

How reproducible:
The steps detailed below reproduce the error for me every time.

Steps to Reproduce:
1. Open the history editor (Bookmarks->Organize Bookmarks)
2. Under History on the left, select "Yesterday" as the time range
3. Sort on Location by clicking the column header
4. Right-click on an entry and select "Forget About This Site"
  
Actual results:
The site is "forgotten" but the display reverts back to the "Today" time range.  I then must re-select the "Yesterday" time range and re-sort the results by Location.

Expected results:
The site is "forgotten" and the time range remains on "Yesterday" with the results still sorted by Location.
Comment 1 Matěj Cepl 2010-06-11 10:44:30 EDT
Yup, can fully reproduce.
Comment 2 Bug Zapper 2011-06-02 07:22:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 13:55:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.